Bug 35954 - UCR tmp_to_file file "__ucr__commit__" confuses apt-get (and possibly others)
UCR tmp_to_file file "__ucr__commit__" confuses apt-get (and possibly others)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCR
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Philipp Hahn
Stefan Gohmann
:
Depends on:
Blocks: 37819 40077
  Show dependency treegraph
 
Reported: 2014-09-18 10:03 CEST by Felix Botner
Modified: 2015-11-24 11:19 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-09-18 10:03:17 CEST
-> ls /etc/apt/sources.list.d/
15_ucs-online-version.list
20_ucs-online-component.list
20_ucs-online-component.list__ucr__commit__0.914667683074

-> apt-get update
...
N: Datei »20_ucs-online-component.list__ucr__commit__0.914667683074« in Verzeichnis »/etc/apt/sources.list.d/« wird ignoriert, da sie eine ungültige Dateinamen-Erweiterung hat
Comment 1 Tim Petersen univentionstaff 2015-01-14 09:50:56 CET
This happened multiple times while internal update to 4.0 and in several customer enironments.

These temporary files have to be created underneath /tmp, at least. I am not sure if we saw this on UCS 4 already.
Comment 2 Stefan Gohmann univentionstaff 2015-01-14 10:09:01 CET
This should be changed in 4.0 as well.

(In reply to Tim Petersen from comment #1)
> These temporary files have to be created underneath /tmp, at least. I am not
> sure if we saw this on UCS 4 already.

Maybe we could simple create files starting with a dot.
Comment 3 Tim Petersen univentionstaff 2015-02-04 10:52:55 CET
(In reply to Tim Petersen from comment #1)
> I am not
> sure if we saw this on UCS 4 already.


I saw it yesterday at billy (UCS 4.0)
Comment 4 Florian Best univentionstaff 2015-02-04 11:11:28 CET
I have a UCS 4 system where this is currently the case if you need it.

N: Datei »20_ucs-online-component.list__ucr__commit__0.423874846787« in Verzeichnis »/etc/apt/sources.list.d/« wird ignoriert, da sie eine ungültige Dateinamen-Erweiterung hat.
Comment 5 Philipp Hahn univentionstaff 2015-02-16 10:57:59 CET
r58087 | Bug #35954 UCR: Hide temporary commit files.
r58089 | Bug #35954 UCR: Hide temporary commit files.
 Hide UCR commit files be pre-pending a dot to the file name

Package: univention-config-registry
Version: 9.0.6-15.478.201502161031
Branch: ucs_3.2-0
Scope: errata3.2-4

r58088 | Bug #35954 UCR: Hide temporary commit files YAML
r58091 | Bug #35954 UCR: Hide temporary commit files YAML
 2015-02-16-univention-config-registry.yaml


QA: aptitude install '?source-package(univention-config-registry)?installed
QA: ucr --debug commit /etc/apt/sources.list.d/20_ucs-online-component.list
QA: ^Z
QA: ls -al /etc/apt/sources.list.d/
QA: LANG=C apt-get update

TODO: Bug needs to be cloned to 4.0-x after QA
Comment 6 Stefan Gohmann univentionstaff 2015-02-18 07:27:36 CET
Code review: OK

YAML: OK (r58185: fixed typo and bug number)

Tests: OK

root@master481:~# ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list & ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list & ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list & ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list &
[1] 25491
[2] 25492
[3] 25493
[4] 25494
[5] 25495
[6] 25496
[7] 25497
[8] 25498
[9] 25499
[10] 25500
[11] 25501
[12] 25502
[13] 25503
[14] 25504
[15] 25505
[16] 25506
[17] 25507
[18] 25508
[19] 25509
[20] 25510
root@master481:~# ls -la /etc/apt/sources.list.d/File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list
File: /etc/apt/sources.list.d/20_ucs-online-component.list

insgesamt 24
drwxr-xr-x 2 root root 4096 18. Feb 07:26 .
drwxr-xr-x 6 root root 4096 18. Feb 07:25 ..
-rw-r--r-- 1 root root   57 18. Aug 2014  05univention-system-setup.list
-rw-r--r-- 1 root root 2047 18. Feb 07:22 15_ucs-online-version.list
-rw-r--r-- 1 root root  643 18. Feb 07:25 20_ucs-online-component.list
-rw-r--r-- 1 root root  643 18. Feb 07:26 20_ucs-online-component.list.old
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.0471026088128
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.12207280052
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.175253879257
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.241868475838
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.272421182966
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.38916957743
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.39002721615
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.392084540219
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.431553150082
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.43944961919
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.446385005611
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.520975273272
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.591652202773
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.63840285675
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.669447108193
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.681224748082
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.949698749462
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.973641954558
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.979186060005
-rw-r--r-- 1 root root    0 18. Feb 07:26 .20_ucs-online-component.list__ucr__commit__0.998559995265
root@master481:~# ls -la /etc/apt/sources.list.d/
insgesamt 20
drwxr-xr-x 2 root root 4096 18. Feb 07:26 .
drwxr-xr-x 6 root root 4096 18. Feb 07:25 ..
-rw-r--r-- 1 root root   57 18. Aug 2014  05univention-system-setup.list
-rw-r--r-- 1 root root 2047 18. Feb 07:22 15_ucs-online-version.list
-rw-r--r-- 1 root root  643 18. Feb 07:26 20_ucs-online-component.list
[1]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[2]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[3]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[4]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[5]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[6]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[7]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[8]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[9]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[10]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[11]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[12]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[13]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[14]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[15]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[16]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[17]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[18]   Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[19]-  Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
[20]+  Fertig                  ucr commit /etc/apt/sources.list.d/20_ucs-online-component.list
root@master481:~#
Comment 7 Moritz Muehlenhoff univentionstaff 2015-02-18 11:58:23 CET
http://errata.univention.de/ucs/3.2/286.html